Supports IPv6 address for scp and rsync

ONOS-7680

Change-Id: Ica7466715c64765310bfc7bf34126ed02d1818b7
diff --git a/tools/test/bin/onos-install b/tools/test/bin/onos-install
index 7eb881a..391640c 100755
--- a/tools/test/bin/onos-install
+++ b/tools/test/bin/onos-install
@@ -55,10 +55,11 @@
 
 node=${1:-$OCI}
 remote=$ONOS_USER@$node
+remote_scp=$ONOS_USER@[$node]
 
 $(dirname $0)/onos-push-bits $node
 
-[ ! -z "$mvn_settings" ] && scp -q $mvn_settings $remote:/tmp/settings.xml
+[ ! -z "$mvn_settings" ] && scp -q $mvn_settings $remote_scp:/tmp/settings.xml
 
 ssh -tt $remote "
     [ -z "$upgrade" ] && [ -d $ONOS_INSTALL_DIR/bin ] && echo \"ONOS is already installed\" && exit 1
@@ -124,4 +125,4 @@
 [ -f "$ONOS_CLUSTER_KEY_FILE" ] && onos-push-cluster-key $1
 
 # Unless -n option was given, attempt to ignite the ONOS service.
-[ -z "$nostart" ] && onos-service $node start || true
\ No newline at end of file
+[ -z "$nostart" ] && onos-service $node start || true